Package com.avaya.clientservices.sharedcontrol

## Class SharedControlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.sharedcontrol.SharedControlException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SharedControlException
      extends java.lang.Exception

  Exception representing shared control failure in the shared control completion handlers.
  See Also:
    `SharedControlActionCompletionHandler`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SharedControlException​(DisconnectReason disconnectReason)` | Constructor of SharedControlException accepting only `DisconnectReason`.
    `SharedControlException​(DisconnectReason disconnectReason, int protocolErrorCode, java.lang.String protocolReason, int protocolWarningCode, java.lang.String protocolWarning)` | Constructor of SharedControlException accepting additional parameters.
    `SharedControlException​(java.lang.String detailMessage, DisconnectReason disconnectReason, int protocolErrorCode, java.lang.String protocolReason, int protocolWarningCode, java.lang.String protocolWarning)` | Constructor of SharedControlException accepting additional parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DisconnectReason` | `getDisconnectReason()` |
    `int` | `getProtocolErrorCode()` |
    `java.lang.String` | `getProtocolReason()` |
    `java.lang.String` | `getProtocolWarning()` |
    `int` | `getProtocolWarningCode()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SharedControlException

          public SharedControlException​(DisconnectReason disconnectReason)

      Constructor of SharedControlException accepting only `DisconnectReason`.
      Parameters:
        `disconnectReason` - The reason for disconnect.

    - #### SharedControlException

          public SharedControlException​(DisconnectReason disconnectReason,
                                        int protocolErrorCode,
                                        java.lang.String protocolReason,
                                        int protocolWarningCode,
                                        java.lang.String protocolWarning)

      Constructor of SharedControlException accepting additional parameters.
      Parameters:
        `disconnectReason` - The reason for disconnect.
        `protocolErrorCode` - The error code from the underlying signaling protocol.
        `protocolReason` - The reason string from the underlying signaling protocol.
        `protocolWarningCode` - The warning code from the underlying signaling protocol.
        `protocolWarning` - The warning string from the underlying signaling protocol.

    - #### SharedControlException

          public SharedControlException​(java.lang.String detailMessage,
                                        DisconnectReason disconnectReason,
                                        int protocolErrorCode,
                                        java.lang.String protocolReason,
                                        int protocolWarningCode,
                                        java.lang.String protocolWarning)

      Constructor of SharedControlException accepting additional parameters.
      Parameters:
        `detailMessage` - The detail description of the exception.
        `disconnectReason` - The reason for disconnect.
        `protocolErrorCode` - The error code from the underlying signaling protocol.
        `protocolReason` - The reason string from the underlying signaling protocol.
        `protocolWarningCode` - The warning code from the underlying signaling protocol.
        `protocolWarning` - The warning string from the underlying signaling protocol.

  - ### Method Detail

    - #### getDisconnectReason

          public DisconnectReason getDisconnectReason()

      Returns:
        shared control disconnect reason.

    - #### getProtocolErrorCode

          public int getProtocolErrorCode()

      Returns:
        error code number from the underlying signaling protocol.

    - #### getProtocolReason

          public java.lang.String getProtocolReason()

      Returns:
        reason message from the underlying signaling protocol.

    - #### getProtocolWarningCode

          public int getProtocolWarningCode()

      Returns:
        warning code number from the underlying signaling protocol.

    - #### getProtocolWarning

          public java.lang.String getProtocolWarning()

      Returns:
        warning message from the underlying signaling protocol.